"use strict";
/********************************************************************************
 * Copyright (C) 2018 Uni Sayo and others.
 *
 * Licensed under the Apache License, Version 2.0 (the 'License');
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an 'AS IS' BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
********************************************************************************/
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var node_1 = require("@devpodio/languages/lib/node");
var common_1 = require("../common");
var path_1 = require("path");
var VueContribution = /** @class */ (function (_super) {
    __extends(VueContribution, _super);
    function VueContribution() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.id = common_1.VUE_LANGUAGE_ID;
        _this.name = common_1.VUE_LANGUAGE_NAME;
        return _this;
    }
    VueContribution.prototype.start = function (clientConnection) {
        var command = 'node';
        var args = [
            path_1.resolve(__dirname, 'vue-starter'),
            '--stdio'
        ];
        try {
            var serverConnection = this.createProcessStreamConnection(command, args);
            serverConnection.reader.onError(function (err) {
                console.log(err);
            });
            this.forward(clientConnection, serverConnection);
        }
        catch (e) {
            console.log(e);
            throw e;
        }
    };
    VueContribution.prototype.onDidFailSpawnProcess = function (error) {
        _super.prototype.onDidFailSpawnProcess.call(this, error);
        console.error('Error starting vue language server.');
    };
    VueContribution = __decorate([
        inversify_1.injectable()
    ], VueContribution);
    return VueContribution;
}(node_1.BaseLanguageServerContribution));
exports.VueContribution = VueContribution;
//# sourceMappingURL=vue-contribution.js.map